Bug 24728 - A menu on a tool button appears at an incorrect position in plasmoid
Summary: A menu on a tool button appears at an incorrect position in plasmoid
Status: RESOLVED FIXED
Alias: None
Product: UIM
Classification: Unclassified
Component: bridge: Qt (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: uim-bugs
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-25 19:01 UTC by Etsushi Kato
Modified: 2009-12-21 17:45 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
patch (6.04 KB, patch)
2009-12-20 07:18 UTC, Muneyuki Noguchi
Details | Splinter Review
patch v2 (6.84 KB, patch)
2009-12-20 14:53 UTC, Muneyuki Noguchi
Details | Splinter Review
patch v3 (6.25 KB, patch)
2009-12-21 02:13 UTC, Muneyuki Noguchi
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Etsushi Kato 2009-10-25 19:01:59 UTC
Separated from bug #24620.

- A menu on a tool button and a context menu appear at an incorrect position
  in this plasmoid.

  I suspect this nasty issue is relevant to this bug in Qt:
    249306 - QToolButton popup menu is shown at wrong position when embedded
    in a QGraphicsView
   
http://qt.nokia.com/developer/task-tracker/index_html?method=entry&id=249306

  (Plasma::PopupApplet inherits Plasma::Applet and Plasma::Applet inherits
  QGraphicsProxyWidget)
Comment 1 Muneyuki Noguchi 2009-11-10 05:16:31 UTC
The Qt bug mentioned above is going to be fixed in Qt 4.6.0, the next release.
http://bugreports.qt.nokia.com/browse/QTBUG-3822
Comment 2 Muneyuki Noguchi 2009-12-20 07:18:15 UTC
Created attachment 32208 [details] [review]
patch

I've tested the attached patch with Qt 4.5.3.

According to a Debian developer, this bug is reproducible even with Qt 4.6 rc1 when the patch isn't applied.
Comment 3 Muneyuki Noguchi 2009-12-20 14:53:41 UTC
Created attachment 32211 [details] [review]
patch v2

a context menu should be appeared on right click
Comment 4 Muneyuki Noguchi 2009-12-21 02:13:48 UTC
Created attachment 32216 [details] [review]
patch v3
Comment 5 Etsushi Kato 2009-12-21 17:14:25 UTC
(In reply to comment #4)
> Created an attachment (id=32216) [details]
> patch v3

I'll apply this later.
Thanks!
Comment 6 Etsushi Kato 2009-12-21 17:45:30 UTC
Confirmed the patch v3 fixed the problem.  And applied to the SVN trunk/1.5.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.